<ui:composition xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- nodes: List<LDAPNode>
          insert: additional_columns -->
    <a4j:queue requestDelay="300" ignoreDupResponses="true"/>

    <rich:dataTable value="#{nodes}" var="node" rows="#{dataScrollerMemory.numberOfResultsPerPage}" id="nodeTable"
                    render="datascroller">
        <g:column sortBy="#{node.name}" filterBy="#{node.name}" filterEvent="onkeyup">
            <ui:define name="header">#{messages['net.ihe.gazelle.hpd.Name']}</ui:define>
            <h:outputText value="#{node.name}"/>
        </g:column>
        <g:column>
            <ui:define name="header">#{messages['net.ihe.gazelle.simulators.Description']}</ui:define>
            <h:outputText value="#{node.description}"/>
        </g:column>
        <g:column>
            <ui:define name="header">#{messages['net.ihe.gazelle.hpd.ObjectClasses']}</ui:define>
            <rich:list value="#{node.objectClasses}" rendered="#{not empty node.objectClasses}" var="oc"
                       type="unordered">
                <h:outputText value="#{oc.name}"/>
            </rich:list>
        </g:column>

        <ui:insert name="additional_columns"/>
        <f:facet name="footer">
            <ui:include src="/util/datatableFooter.xhtml">
                <ui:param name="dataScrollerId" value="datascroller"/>
                <ui:param name="dataTableId" value="nodeTable"/>
            </ui:include>
        </f:facet>
    </rich:dataTable>
</ui:composition>
